# 🌈 repo-color-utility-package

[![npm version](https://img.shields.io/npm/v/repo-color-utility-package.svg)](https://www.npmjs.com/package/repo-color-utility-package)

Dive into a world of vibrant possibilities with Color Utilities – your go-to toolkit for adding a splash of color to your JavaScript projects.

## ✨ Features

- **Effortless Color Magic**: Transform dull RGB colors into dazzling hexadecimal masterpieces with ease.

- **Color Inspiration**: Unleash your creativity with randomly generated RGB colors, perfect for making your projects pop.

## 🚀 Getting Started

Ready to infuse your projects with color? Start by installing Color Utilities using npm:

```bash
npm install repo-color-utility-package
```

## 🎨 How to Use

### Convert RGB to Hex

```javascript
const colorUtils = require('repo-color-utility-package');

const red = 255;
const green = 128;
const blue = 0;

const hexColor = colorUtils.rgbToHex(red, green, blue);
console.log(hexColor); // Outputs: "#ff8000"
```

### Create Random Colors

```javascript
const colorUtils = require('repo-color-utility-package');

const randomColor = colorUtils.generateRandomColor();
console.log(randomColor); // Outputs: "rgb(123, 45, 67)"
```

## 🤝 Join Our Colorful Community

Step into a world of color enthusiasts! Whether you want to contribute, share ideas, or just chat about colors, our friendly community is waiting for you. Check out our [Contribution Guidelines](CONTRIBUTING.md).

## 📄 License

This project is licensed under the [MIT License](./LICENSE). Feel free to use it to add color to your projects and let your imagination run wild!
